Unable to update to

Discussion in 'General' started by onastvar, May 8, 2014.

  1. onastvar

    onastvar Member

    I'm unable to update to by executing ispconfig_update.sh, script just exists to prompt after backup step (I also tried manual update, same issue)

    Operating System: Debian 7.0 (Wheezy/Sid) or compatible

    This application will update ISPConfig 3 on your server.

    Shall the script create a ISPConfig backup in /var/backup/ now? (yes,no) [yes]: yes

    Creating backup of "/usr/local/ispconfig" directory...
    Creating backup of "/etc" directory...
    [email protected]:/tmp#

    I see this in in Show System Log when I turn on log-level to debug

    Calling function 'restartHttpd' from module 'web_module'.

    Processed datalog_id 2815

    Calling function 'update' from plugin 'postfix_server_plugin' raised by event 'server_update'.

    Network configuration disabled in server settings.

    Calling function 'update' from plugin 'apps_vhost_plugin' raised by event 'server_update'.

    Calling function 'update' from plugin 'postfix_server_plugin' raised by event 'server_update'.

    Does anyone have similar issues?
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    This indicates that there is a problem with your cli php. I had such a problem a few days ago, the owner of that server has done a mistake while compiling manually a php versions and so he replaced the php for cli execution with a manually compiles one that had no php support. so you should check which php is used:

    which php

    and if thats the correct system php version with mysql support compiled in and that no other limits like too smal memory limits in php.ini will cause problems.
  3. onastvar

    onastvar Member

    Thank You Till!

    which php

    I did try to install additional php version in the past. Now under Additional PHP Versions I have 2 same entries PHP 5.3.22 one has paths for PHP-FPM settings and one has paths for FastCGI settings see attached.

    How could this be fixed?

    Attached Files:

  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Ok, this must be a manually compiled php, thst not the one of the system. I guess there happened a mistake during one of your custom php compile attempts so that the install dir was not set correctly in the configure command. to fix that, run:

    mv /usr/local/bin/php /usr/local/bin/php_bak

    and try the update again.
  5. onastvar

    onastvar Member

    That worked perfectly! Thank You Till!

Share This Page